Create one intraclass conversion

post

/fscmRestApi/resources/11.13.18.05/unitsOfMeasure/{UOMCode}/child/intraclassConversions

Request

Path Parameters
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
  • Contains one of the following values: true or false. If true, the server performs an Upsert operation instead of a Create operation. During an Upsert operation, the server attempts to find an existing resource that matches the payload. If a match is found, the server updates the existing resource instead of creating a new one. If not found or false (default), the server performs a Create operation. Note that the Upsert operation isn't supported for date-effective REST resources.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
  • Title: Conversion
    Rate of conversion between the unit of measure and the base unit of the class for the specified inventory item. This attribute is required.
  • Title: End Date
    Date when the unit of measure intraclass conversion is no longer available.
  • Value that uniquely identifies the inventory item that the intraclass conversion is being defined for. This attribute is required.
  • Maximum Length: 1
    Contains one of the following values: true or false. If true, the conversion rate between the secondary unit of the class and the base UOM of the class is modeled as an inverse quantity. In this case, the conversion factor represents the amount of secondary unit that equals one unit of the base unit. If false, the conversion factor represents one unit of the secondary unit converted to the corresponding amount of the base unit. The default value is false.
  • The value that will be inverted to find the unit conversion rate.
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : unitsOfMeasure-intraclassConversions-item-response
Type: object
Show Source
  • Read Only: true
    Value that uniquely identifies the unit of measure intraclass conversion. It's a value that the application generates when it creates a unit. This attribute is required.
  • Read Only: true
    Maximum Length: 64
    User who created the record.
  • Read Only: true
    Date and time when the user created the record.
  • Title: Conversion
    Rate of conversion between the unit of measure and the base unit of the class for the specified inventory item. This attribute is required.
  • Title: End Date
    Date when the unit of measure intraclass conversion is no longer available.
  • Value that uniquely identifies the inventory item that the intraclass conversion is being defined for. This attribute is required.
  • Maximum Length: 1
    Contains one of the following values: true or false. If true, the conversion rate between the secondary unit of the class and the base UOM of the class is modeled as an inverse quantity. In this case, the conversion factor represents the amount of secondary unit that equals one unit of the base unit. If false, the conversion factor represents one unit of the secondary unit converted to the corresponding amount of the base unit. The default value is false.
  • The value that will be inverted to find the unit conversion rate.
  • Read Only: true
    Alphanumeric name that uniquely identifies the item that the intraclass conversion is being defined for. Either this attribute or InventoryItemId is required.
  • Read Only: true
    Date and time when the user most recently updated the record.
  • Read Only: true
    Maximum Length: 64
    User who most recently updated the record.
  • Links
Back to Top

Examples

This example describes how to create one intraclass conversion.

Example cURL Command

Use the following cURL command to submit a request on the REST resource.

curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' 
"https://servername/fscmRestApi/resources/version/unitsOfMeasure/UOMCode/child/intraclassConversions"

Example Request Body

The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it creates.

Authorization: user/password
Content Type: application/json 
Operation: POST 
{
   "InventoryItemId" : 100000012013473, 
   "IntraclassConversion" : 13, 
   "IntraclassConversionEndDate" : null, 
}

Example Response Body

The following example includes the contents of the response body in JSON format:

{ 
  "InventoryItemId" : 100000012013473, 
  "ConversionId" : 300100132310571, 
  "IntraclassConversion" : 13, 
  "IntraclassConversionEndDate" : null, 
  "ItemNumber" : "ZCST-Plain-Asset1", 
  "links" : [ { 
  ...
  } ] 
}
Back to Top